%define pypi_name cert-manager
%define srcname cert_manager

%bcond_with tests

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 2
Summary:        Python interface to the Sectigo Certificate Manager REST API
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/cert-manager
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description -n python3-%{pypi_name}
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%{python3_sitelib}/cert_manager
%{python3_sitelib}/cert_manager-%{version}-*.egg-info


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1834367
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.1.0-1.mga9
+ Revision: 1785697
- BR python3dist(pip) python3dist(wheel)
- version 2.1.0
- rebuild for python-3.10

* Wed Mar 31 2021 guillomovitch <guillomovitch> 1.0.0-3.mga9
+ Revision: 1712235
- rebuild for python 3.9

* Sat Jan 16 2021 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1671999
- imported package python-cert-manager

